<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin\Form\Extension;

use Sylius\Bundle\ShippingBundle\Form\Type\ShippingMethodType;
use Symfony\Component\Form\AbstractTypeExtension;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\FormBuilderInterface;

class ShippingMethodTypeExtension extends AbstractTypeExtension
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('dpdPickUp', CheckboxType::class, [
                'label' => 'dedi_dpd_pick_up.form.is_dpd_pick_up',
                'required' => false,
            ])
        ;
    }

    public static function getExtendedTypes(): iterable
    {
        return [
            ShippingMethodType::class,
        ];
    }
}
