<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin\Service;

use Dedi\SyliusDpdPickUpPlugin\Model\Pudo;

/**
 * Guesses the province code thanks to the zipcode.
 * For instance for the zipcode 69009, it will returns FR-69
 */
class DefaultPudoToProvinceCodeConverter implements PudoToProvinceCodeConverterInterface
{
    public function transform(Pudo $pudo): string
    {
        return sprintf(
            'FR-%s',
            substr($pudo->zipCode, 0, 2)
        );
    }
}
